## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestReward Struct Reference

This is a reward for a quest. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | Reward ()=0
| Perform this reward.

## Detailed Description

This is a reward for a quest.

The quest manager can issue rewards in response to some trigger. Just like triggers you can implement your own rewards in addition to the standard rewards already implemented in the quest manager. You also need to implement a quest reward factory then (see iQuestRewardFactory).

Definition at line 211 of file questmanager.h.

## Member Function Documentation

virtual void iQuestReward::Reward | ( |  | ) | `[pure virtual]`

| Perform this reward.

The documentation for this struct was generated from the following file:

- tools/questmanager.h